### Function: IncreaseSkillCapsByType(player_spawn, skill_type, amount, more_to_increase)

**Description:**
Increases all skill maximums by the skill_type.

**Parameters:**
- `player_spawn` (Spawn) - Spawn object representing `player_spawn`.
- `skill_type` (uint8) - Integer value `skill_type`.
- `amount` (uint8) - Quantity `amount`.
- `more_to_increase` (bool) - Boolean flag `more_to_increase`.

**Returns:** None.

**Example:**

Example Required
